Apache JMeter

## org.apache.jmeter.functions
Class XPathFileContainer

    java.lang.Object
      org.apache.jmeter.functions.XPathFileContainer

    public class XPathFileContainer

extends Object

File data container for XML files Data is accessible via XPath

Constructor Summary
`XPathFileContainer(String file, String xpath)`

Method Summary
`String` `getFileName()`
`String` `getXPathString(int num)`
`int` `nextRow()` Returns the next row to the caller, and updates it, allowing for wrap round
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathFileContainer

    public XPathFileContainer(String file,
                              String xpath)
                       throws FileNotFoundException,
                              IOException,
                              ParserConfigurationException,
                              SAXException,
                              TransformerException

Throws:
  `FileNotFoundException`
  `IOException`
  `ParserConfigurationException`
  `SAXException`
  `TransformerException`

Method Detail

### getXPathString

    public String getXPathString(int num)

### nextRow

    public int nextRow()

  Returns the next row to the caller, and updates it, allowing for wrap round

  Returns:
    the first free (unread) row

### size

    public int size()

### getFileName

    public String getFileName()

  Returns:
    the file name for this class

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.